Vulnerabilities (CVE)

Filtered by vendor Asus Subscribe
Total 263 CVE
CVE Vendors Products Updated CVSS v2 CVSS v3
CVE-2021-45757 1 Asus 2 Rt-ac68u, Rt-ac68u Firmware 2024-02-14 7.8 HIGH 7.5 HIGH
ASUS AC68U <=3.0.0.4.385.20852 is affected by a buffer overflow in blocking.cgi, which may cause a denial of service (DoS).
CVE-2021-45756 1 Asus 4 Rt-ac5300, Rt-ac5300 Firmware, Rt-ac68u and 1 more 2024-02-14 7.5 HIGH 9.8 CRITICAL
Asus RT-AC68U <3.0.0.4.385.20633 and RT-AC5300 <3.0.0.4.384.82072 are affected by a buffer overflow in blocking_request.cgi.
CVE-2023-5716 1 Asus 1 Armoury Crate 2024-01-29 N/A 9.8 CRITICAL
ASUS Armoury Crate has a vulnerability in arbitrary file write and allows remote attackers to access or modify arbitrary files by sending specific HTTP requests without permission.
CVE-2023-47678 1 Asus 2 Rt-ac87u, Rt-ac87u Firmware 2023-12-10 N/A 9.1 CRITICAL
An improper access control vulnerability exists in RT-AC87U all versions. An attacker may read or write files that are not intended to be accessed by connecting to a target device via tftp.
CVE-2023-39780 1 Asus 2 Rt-ax55, Rt-ax55 Firmware 2023-12-10 N/A 8.8 HIGH
ASUS RT-AX55 v3.0.0.4.386.51598 was discovered to contain an authenticated command injection vulnerability.
CVE-2023-39237 1 Asus 2 Rt-ac86u, Rt-ac86u Firmware 2023-12-10 N/A 8.8 HIGH
ASUS RT-AC86U Traffic Analyzer - Apps analysis function has insufficient filtering of special character. A remote attacker with regular user privilege can exploit this vulnerability to perform command injection attack to execute arbitrary commands, disrupt system or terminate services.
CVE-2023-41349 1 Asus 2 Rt-ax88u, Rt-ax88u Firmware 2023-12-10 N/A 8.8 HIGH
ASUS router RT-AX88U has a vulnerability of using externally controllable format strings within its Advanced Open VPN function. An authenticated remote attacker can exploit the exported OpenVPN configuration to execute an externally-controlled format string attack, resulting in sensitivity information leakage, or forcing the device to reset and permanent denial of service.
CVE-2023-35086 1 Asus 4 Rt-ac86u, Rt-ac86u Firmware, Rt-ax56u V2 and 1 more 2023-12-10 N/A 9.8 CRITICAL
It is identified a format string vulnerability in ASUS RT-AX56U V2 & RT-AC86U. This vulnerability is caused by directly using input as a format string when calling syslog in logmessage_normal function, in the do_detwan_cgi module of httpd. An unauthenticated remote attacker without privilege can exploit this vulnerability to perform remote arbitrary code execution, arbitrary system operation or disrupt service. This issue affects RT-AX56U V2: 3.0.0.4.386_50460; RT-AC86U: 3.0.0.4_386_51529.
CVE-2023-34359 1 Asus 2 Rt-ax88u, Rt-ax88u Firmware 2023-12-10 N/A 7.5 HIGH
ASUS RT-AX88U's httpd is subject to an unauthenticated DoS condition. A remote attacker can send a specially crafted request to the device which causes the httpd binary to crash within the "do_json_decode()" function of ej.c, resulting in a DoS condition.
CVE-2023-34358 1 Asus 2 Rt-ax88u, Rt-ax88u Firmware 2023-12-10 N/A 7.5 HIGH
ASUS RT-AX88U's httpd is subject to an unauthenticated DoS condition. A remote attacker can send a specially crafted request to a device which contains a specific user agent, causing the httpd binary to crash during a string comparison performed within web.c, resulting in a DoS condition.
CVE-2023-41348 1 Asus 2 Rt-ax55, Rt-ax55 Firmware 2023-12-10 N/A 8.8 HIGH
ASUS RT-AX55’s authentication-related function has a vulnerability of insufficient filtering of special characters within its code-authentication module. An authenticated remote attacker can exploit this vulnerability to perform a Command Injection attack to execute arbitrary commands, disrupt the system or terminate services.
CVE-2023-39238 1 Asus 6 Rt-ac86u, Rt-ac86u Firmware, Rt-ax55 and 3 more 2023-12-10 N/A 9.8 CRITICAL
It is identified a format string vulnerability in ASUS RT-AX56U V2. This vulnerability is caused by lacking validation for a specific value within its set_iperf3_svr.cgi module. An unauthenticated remote attacker can exploit this vulnerability without privilege to perform remote arbitrary code execution, arbitrary system operation or disrupt service.
CVE-2023-39240 1 Asus 6 Rt-ac86u, Rt-ac86u Firmware, Rt-ax55 and 3 more 2023-12-10 N/A 9.8 CRITICAL
It is identified a format string vulnerability in ASUS RT-AX56U V2’s iperf client function API. This vulnerability is caused by lacking validation for a specific value within its set_iperf3_cli.cgi module. An unauthenticated remote attacker can exploit this vulnerability without privilege to perform remote arbitrary code execution, arbitrary system operation or disrupt service.
CVE-2023-41345 1 Asus 2 Rt-ax55, Rt-ax55 Firmware 2023-12-10 N/A 8.8 HIGH
ASUS RT-AX55’s authentication-related function has a vulnerability of insufficient filtering of special characters within its token-generated module. An authenticated remote attacker can exploit this vulnerability to perform a Command Injection attack to execute arbitrary commands, disrupt the system, or terminate services.
CVE-2023-38032 1 Asus 2 Rt-ac86u, Rt-ac86u Firmware 2023-12-10 N/A 8.8 HIGH
ASUS RT-AC86U AiProtection security- related function has insufficient filtering of special character. A remote attacker with regular user privilege can exploit this vulnerability to perform command injection attack to execute arbitrary commands, disrupt system or terminate services.
CVE-2023-38031 1 Asus 2 Rt-ac86u, Rt-ac86u Firmware 2023-12-10 N/A 8.8 HIGH
ASUS RT-AC86U Adaptive QoS - Web History function has insufficient filtering of special character. A remote attacker with regular user privilege can exploit this vulnerability to perform command injection attack to execute arbitrary commands, disrupt system or terminate services.
CVE-2023-38033 1 Asus 2 Rt-ac86u, Rt-ac86u Firmware 2023-12-10 N/A 8.8 HIGH
ASUS RT-AC86U unused Traffic Analyzer legacy Statistic function has insufficient filtering of special character. A remote attacker with regular user privilege can exploit this vulnerability to perform command injection attack to execute arbitrary commands, disrupt system or terminate services.
CVE-2023-35087 1 Asus 4 Rt-ac86u, Rt-ac86u Firmware, Rt-ax56u V2 and 1 more 2023-12-10 N/A 9.8 CRITICAL
It is identified a format string vulnerability in ASUS RT-AX56U V2 & RT-AC86U. This vulnerability is caused by lacking validation for a specific value when calling cm_processChangedConfigMsg in ccm_processREQ_CHANGED_CONFIG function in AiMesh system. An unauthenticated remote attacker can exploit this vulnerability without privilege to perform remote arbitrary code execution, arbitrary system operation or disrupt service. This issue affects RT-AX56U V2: 3.0.0.4.386_50460; RT-AC86U: 3.0.0.4_386_51529.
CVE-2023-34360 1 Asus 2 Rt-ax88u, Rt-ax88u Firmware 2023-12-10 N/A 5.4 MEDIUM
A stored cross-site scripting (XSS) issue was discovered within the Custom User Icons functionality of ASUS RT-AX88U running firmware versions 3.0.0.4.388.23110 and prior.  After a remote attacker logging in device with regular user privilege, the remote attacker can perform a Stored Cross-site Scripting (XSS) attack by uploading image which containing JavaScript code.
CVE-2023-39086 1 Asus 2 Rt-ac66u B1, Rt-ac66u B1 Firmware 2023-12-10 N/A 7.5 HIGH
ASUS RT-AC66U B1 3.0.0.4.286_51665 was discovered to transmit sensitive information in cleartext.